Documentation PHP

Installation des serveurs Apache 2.0.x sur les systèmes Microsoft Windows

Cette section contient les notes et conseils d'installation de PHP avec le serveur Apache 2.0.x sur les systèmes Microsoft Windows. Nous avons également des notes et des instructions pour Apache 1.3.x sur une page séparée.

Note: Vous devriez lire les étapes d'installation du manuel d'abord !

Note: Support Apache 2.2.x Les utilisateurs d'Apache 2.2.x peuvent utiliser la documentation ci-dessous mise à part le fait que la bibliothèque est nommée php5apache2_2.dll et n'existe que depuis PHP 5.2.0. Voir aussi » http://snaps.php.net/

Avertissement

Nous ne recommandons pas l'utilisation de PHP dans un environnement threadé MPM, avec Apache 2. Utilisez le mode prefork MPM à la place, ou utilisez Apache 1. Pour savoir pourquoi, lisez l'entrée de la FAQ correspondante à l'utilisation d'Apache 2 dans un environnement threadé MPM.

Il est vivement recommandé de lire la » documentation Apache pour avoir une meilleure connaissance du serveur web Apache 2.0.x. Lisez également les » notes spécifiques à Windows pour Apache 2.0.x avant de lire cette documentation.

Note: Notes sur la compatibilité de PHP avec Apache 2.0 Les versions de PHP suivantes sont reconnues pour fonctionner avec la plus récente version d'Apache 2.0.x :

Ces versions de PHP sont compatibles avec Apache 2.0.40 et plus récent.
Le support des SAPI d'Apache 2.0 a commencé avec PHP 4.2.0. PHP 4.2.3 est connu pour fonctionner avec Apache 2.0.39. N'essayez pas d'utiliser cette version de PHP avec une autre version d'Apache 2.0. Sinon, nous vous recommandons de configurer PHP 4.3.0 ou supérieures avec la plus récente des versions d'Apache 2.
Toutes les versions de PHP mentionnées ici fonctionnent avec Apache 1.3.x.

Avertissement

Apache 2.0.x est conçu pour fonctionner sur Windows NT 4.0 et Windows 2000. Actuellement, le support des versions Windows 9x est incomplet. Apache 2.0 n'est pas prévu pour fonctionner sur ces plates-formes pour l'instant.

Téléchargez la version la plus récente de » Apache 2.0.x et une version de PHP. Suivez les instructions d'installation manuelle puis revenez ici pour réaliser l'intégration de PHP et Apache.

Il y a deux méthodes pour que PHP fonctionne avec Apache 2.0.x sous Windows. La première est l'interface CGI, et l'autre est le module DLL Apache. Dans les deux cas, commencez par stopper le serveur Apache, éditez le fichier httpd.conf pour configurer Apache avec le support PHP et redémarrer Apache.

Note: Souvenez-vous que lorsque vous ajoutez des valeurs représentants un chemin dans la configuration d'Apache sous Windows, tous les antislash, comme c:\repertoire\fichier.ext, doivent être convertis en slashes, comme c:/repertoire/fichier.ext. Un slash final peut également être nécessaire pour les dossiers.

Installation de PHP en mode CGI

Vous devez insérer trois lignes à votre fichier de configuration Apache httpd.conf pour configurer le binaire CGI :

Exemple #1 PHP et Apache 2.0.x en mode CGI

ScriptAlias /php/ "c:/php/"
AddType application/x-httpd-php .php

# Pour PHP 4
Action application/x-httpd-php "/php/php.exe"

# Pour PHP 5
Action application/x-httpd-php "/php/php-cgi.exe"

Avertissement

En utilisant le mode CGI, votre serveur est ouvert à de possibles attaques sérieuses. Lisez attentivement notre section sur la sécurité en mode CGI pour apprendre comment vous défendre contre ces attaques.

Installation de PHP en tant que module Apache

Vous devez insérer ces deux lignes à votre fichier de configuration Apache httpd.conf pour configurer le module PHP pour Apache 2.0.x :

Exemple #2 PHP et Apache 2.0.x en tant que module

# Pour PHP 4, faites quelques choses comme cela :
LoadModule php4_module "c:/php/php4apache2.dll"
# N'oubliez pas de copier le fichier php4apache2.dll depuis le dossier sapi !
AddType application/x-httpd-php .php

# Pour PHP 5, faites quelques choses comme cela :
LoadModule php5_module "c:/php/php5apache2.dll"
AddType application/x-httpd-php .php

# Configure le chemin vers le fichier php.ini
PHPIniDir "C:/php"

Note: Souvenez-vous de remplacer votre chemin actuel vers PHP par c:/php/ dans l'exemple ci-dessus. Faites attention d'utiliser soit le fichier php4apache2.dll ou php5apache2.dll dans votre directive LoadModule et non pas php4apache.dll ou php5apache.dll sachant que les derniers sont conçus pour fonctionner avec Apache 1.3.x.

Note: Si vous voulez utiliser la négociation sur le contenu, lisez cette entrée de la FAQ.

Avertissement

Ne mélangez pas votre installation avec des fichiers DLL issus de versions différentes de PHP. Vous avez le seul choix d'utiliser le DLL et les extensions qui correspondent avec votre version téléchargée de PHP.



Ceci n'est pas la documentation originale du langage de programmation php, pour y accéder visiter le site www.php.net

Support du web, outils, services, compteurs, scripts, générateurs et autres outils pour les webmasters gratuitement à 100%
Page générée en 0.002017 secondes.